Mon, 23 Oct 2017 08:07:43 -0700Fixed indent, patch from Sylvain release-2.0.2
Sam Lantinga <slouken@libsdl.org> [Mon, 23 Oct 2017 08:07:43 -0700] rev 837
Fixed indent, patch from Sylvain

Sun, 22 Oct 2017 17:29:07 -0700Fixed building for Android armeabi
Sam Lantinga <slouken@libsdl.org> [Sun, 22 Oct 2017 17:29:07 -0700] rev 836
Fixed building for Android armeabi

Sun, 22 Oct 2017 17:32:31 -0700Fixed compiler warning
Sam Lantinga <slouken@libsdl.org> [Sun, 22 Oct 2017 17:32:31 -0700] rev 835
Fixed compiler warning

Sun, 22 Oct 2017 13:35:44 -0700Removed obsolete RCS Id header comment
Sam Lantinga <slouken@libsdl.org> [Sun, 22 Oct 2017 13:35:44 -0700] rev 834
Removed obsolete RCS Id header comment

Sun, 22 Oct 2017 13:32:31 -0700Removed mikmod license since we're not including it by default.
Sam Lantinga <slouken@libsdl.org> [Sun, 22 Oct 2017 13:32:31 -0700] rev 833
Removed mikmod license since we're not including it by default.

Sun, 22 Oct 2017 13:28:53 -0700Fixed compiler warning with mingw-w64
Sam Lantinga <slouken@libsdl.org> [Sun, 22 Oct 2017 13:28:53 -0700] rev 832
Fixed compiler warning with mingw-w64

Sun, 22 Oct 2017 12:09:28 -0700Only 2 files need to be compiled in ARM mode
Sam Lantinga <slouken@libsdl.org> [Sun, 22 Oct 2017 12:09:28 -0700] rev 831
Only 2 files need to be compiled in ARM mode

Sun, 22 Oct 2017 12:08:11 -0700Fixed bug 2491 - Force LOCAL_ARM_MODE for android builds
Sam Lantinga <slouken@libsdl.org> [Sun, 22 Oct 2017 12:08:11 -0700] rev 830
Fixed bug 2491 - Force LOCAL_ARM_MODE for android builds

Sylvain

Here's a patch for building SDL_mixer and its dependencies.
There is an Android.mk file for each library.

It easier to customize the compilation of each library if necessary. Cleaner to extend and to maintain I think.

Sun, 22 Oct 2017 10:48:52 -0700Fixed bug 3907 - make sure libmpg123 is recent enough
Sam Lantinga <slouken@libsdl.org> [Sun, 22 Oct 2017 10:48:52 -0700] rev 829
Fixed bug 3907 - make sure libmpg123 is recent enough

Ozkan Sezer

The attached patch makes sure that we are building against
a recent-enough libmpg123: mpg123_replace_reader_handle()
requires MPG123_API_VERSION >= 24.

diff --git a/music_mpg123.c b/music_mpg123.c
--- a/music_mpg123.c
+++ b/music_mpg123.c
@@ -32,6 +32,11 @@

#include <mpg123.h>

+/* MPG123_API_VERSION >= 24 needed for mpg123_replace_reader_handle() */
+#if !defined(MPG123_API_VERSION) || (MPG123_API_VERSION-0 < 24)
+#error minimum required libmpg123 version is 1.12.0 (api version 24)
+#endif
+

typedef struct {
int loaded;

Sat, 21 Oct 2017 22:28:18 -0700Updated Windows RT projects and added Timidity MIDI playback
Sam Lantinga <slouken@libsdl.org> [Sat, 21 Oct 2017 22:28:18 -0700] rev 828
Updated Windows RT projects and added Timidity MIDI playback